Asserter.h File Reference
`#include <robottestingframework/Exception.h>`
`#include <robottestingframework/TestCase.h>`
`#include <robottestingframework/TestMessage.h>`
`#include <robottestingframework/TestSuite.h>`
Include dependency graph for Asserter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | robottestingframework::Asserter
| The Asserter class is used to throw exception or to report messages/failures to a TestResult. More...

## Namespaces

| robottestingframework

## Macros

#define | ROBOTTESTINGFRAMEWORK_NORETURN [[noreturn]]

## Macro Definition Documentation

## ROBOTTESTINGFRAMEWORK_NORETURN

#define ROBOTTESTINGFRAMEWORK_NORETURN [[noreturn]]

Definition at line 33 of file Asserter.h.